:host {
  display: grid;
  grid-template-columns: 56px auto;
  column-gap: 0.5rem;
}

.manga-cover {
  position: relative;

  img {
    object-fit: contain;
    object-position: top;
  }
}

.manga-info {
  display: flex;
  flex-direction: column;
  row-gap: 0.25rem;

  overflow: hidden;

  &__title {
    margin: 0;

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &__stats,
  &__status {
    margin-right: auto;
  }
}
